// Copyright 2024, the Chromium project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.
import '../default_localizations.dart';

class NbLocalizations extends FirebaseUILocalizationLabels {
  const NbLocalizations();

  @override
  String get accessDisabledErrorText =>
      "Tilgang til denne kontoen er midlertidig sperret";

  @override
  String get arrayLabel => "array";

  @override
  String get booleanLabel => "Boolsk";

  @override
  String get cancelLabel => "avbryt";

  @override
  String get chooseACountry => "Velg et land";

  @override
  String get confirmPasswordDoesNotMatchErrorText => "Passordene er ikke like";

  @override
  String get confirmPasswordInputLabel => "Bekreft passord";

  @override
  String get confirmPasswordIsRequiredErrorText => "Bekreft passordet ditt";

  @override
  String get continueText => "Neste";

  @override
  String get countryCode => "Landkode";

  @override
  String get credentialAlreadyInUseErrorText =>
      "Denne tilbyderen er assosiert med en annen brukerkonto.";

  @override
  String get deleteAccount => "Slett konto";

  @override
  String get differentMethodsSignInTitleText =>
      "Bruk en av disse metodene for å logge inn";

  @override
  String get disable => "Deaktiver";

  @override
  String get eastInitialLabel => "Ø";

  @override
  String get emailInputLabel => "E-post";

  @override
  String get emailIsRequiredErrorText => "E-post er påkrevd";

  @override
  String get emailLinkSignInButtonLabel => "Logg inn med magisk lenke";

  @override
  String get emailTakenErrorText =>
      "En konto med denne e-postadressen eksisterer allerede";

  @override
  String get enable => "Aktiver";

  @override
  String get enableMoreSignInMethods => "Aktiver flere påloggingsmetoder";

  @override
  String get enterSMSCodeText => "Skriv inn SMS-kode";

  @override
  String get findProviderForEmailTitleText =>
      "Skriv inn e-postadresse for å fortsette";

  @override
  String get forgotPasswordButtonLabel => "Glemt passord?";

  @override
  String get forgotPasswordHintText =>
      "Skriv inn e-posten din, så sender vi deg en lenke for å tilbakestille passordet ditt";

  @override
  String get forgotPasswordViewTitle => "Glemt passord";

  @override
  String get geopointLabel => "geopoint";

  @override
  String get goBackButtonLabel => "Tilbake";

  @override
  String get invalidCountryCode => "Ugyldig landkode";

  @override
  String get isNotAValidEmailErrorText => "Oppgi en gyldig e-postadresse";

  @override
  String get latitudeLabel => "breddegrad";

  @override
  String get linkEmailButtonText => "Neste";

  @override
  String get longitudeLabel => "lengdegrad";

  @override
  String get mapLabel => "kart";

  @override
  String get mfaTitle => "2-trinns verifisering";

  @override
  String get name => "Navn";

  @override
  String get northInitialLabel => "N";

  @override
  String get nullLabel => "null";

  @override
  String get numberLabel => "nummer";

  @override
  String get off => "Av";

  @override
  String get on => "På";

  @override
  String get passwordInputLabel => "Passord";

  @override
  String get passwordIsRequiredErrorText => "Passord er påkrevd";

  @override
  String get passwordResetEmailSentText =>
      "Vi har sendt deg en e-post med en lenke for å tilbakestille passordet ditt. Vennligst sjekk e-post.";

  @override
  String get phoneInputLabel => "Telefonnummer";

  @override
  String get phoneNumberInvalidErrorText => "Telefonnummeret er ugyldig";

  @override
  String get phoneNumberIsRequiredErrorText => "Telefonnummer er påkrevd";

  @override
  String get phoneVerificationViewTitleText => "Skriv inn telefonnummeret ditt";

  @override
  String get profile => "Profil";

  @override
  String get provideEmail => "Skriv inn e-post og passord";

  @override
  String get referenceLabel => "henvisning";

  @override
  String get registerActionText => "Registrer";

  @override
  String get registerHintText => "Har du ikke en konto?";

  @override
  String get registerText => "Registrer";

  @override
  String get resetPasswordButtonLabel => "Tilbakestill passord";

  @override
  String get sendLinkButtonLabel => "Send magisk lenke";

  @override
  String get signInActionText => "Logg inn";

  @override
  String get signInHintText => "Har du allerede en konto?";

  @override
  String get signInMethods => "Påloggingsmetoder";

  @override
  String get signInText => "Logg inn";

  @override
  String get signInWithAppleButtonText => "Logg inn med Apple";

  @override
  String get signInWithEmailLinkSentText =>
      "Vi har sendt deg en e-post med en magisk lenke. Sjekk e-posten din og følg lenken for å logge inn";

  @override
  String get signInWithEmailLinkViewTitleText => "Logg inn med magisk lenke";

  @override
  String get signInWithFacebookButtonText => "Logg inn med Facebook";

  @override
  String get signInWithGoogleButtonText => "Logg inn med Google";

  @override
  String get signInWithPhoneButtonText => "Logg inn med telefon";

  @override
  String get signInWithTwitterButtonText => "Logg inn med Twitter";

  @override
  String get signOutButtonText => "Logg ut";

  @override
  String get smsAutoresolutionFailedError =>
      "Kunne ikke tolke SMS-koden automatisk. Skriv inn koden manuelt";

  @override
  String get southInitialLabel => "S";

  @override
  String get stringLabel => "streng";

  @override
  String get timestampLabel => "tidspunkt";

  @override
  String get typeLabel => "type";

  @override
  String get unknownError => "En ukjent feil oppstod";

  @override
  String get updateLabel => "oppdater";

  @override
  String get userNotFoundErrorText => "Kontoen eksisterer ikke";

  @override
  String get valueLabel => "verdi";

  @override
  String get verifyCodeButtonText => "Bekreft";

  @override
  String get verifyingSMSCodeText => "Bekrefter SMS-kode…";

  @override
  String get verifyItsYouText => "Bekreft at det er deg";

  @override
  String get verifyPhoneNumberButtonText => "Neste";

  @override
  String get westInitialLabel => "V";

  @override
  String get wrongOrNoPasswordErrorText =>
      "Passordet er ugyldig eller brukeren har ikke et passord";

  @override
  String get uploadButtonText => "Last opp fil";

  @override
  String get verifyEmailTitle => "Bekreft e-posten din";

  @override
  String get verificationEmailSentText =>
      "Vi har sendt deg en e-post for å bekrefte e-postadressen din. Vennligst sjekk e-post og følg lenke for å bekrefte e-postadresse.";

  @override
  String get verificationFailedText =>
      "Vi kunne ikke bekrefte e-postadressen din. ";

  @override
  String get resendVerificationEmailButtonLabel => "Send e-post på nytt";

  @override
  String get verificationEmailSentTextShort => "E-post for bekreftelse sendt";

  @override
  String get emailIsNotVerifiedText => "E-post er ikke bekreftet";

  @override
  String get waitingForEmailVerificationText => "Venter på e-postbekreftelse";

  @override
  String get dismissButtonLabel => "Avbryt";

  @override
  String get okButtonLabel => "OK";

  @override
  String get checkEmailHintText =>
      "Vennligst sjekk e-post og klikk på lenken for å bekrefte e-postadressen din.";

  @override
  String get doneButtonLabel => "Ferdig";

  @override
  String get invalidVerificationCodeErrorText =>
      "Koden du skrev inn er ugyldig. Prøv igjen.";

  @override
  String get ulinkProviderAlertTitle => "Frakoble tilbyder";

  @override
  String get confirmUnlinkButtonLabel => "Frakoble";

  @override
  String get cancelButtonLabel => "Avbryt";

  @override
  String get unlinkProviderAlertMessage =>
      "Er du sikker på at du vil koble fra tilbyderen?";

  @override
  String get weakPasswordErrorText => "Passordet må bestå av minst 6 tegn";

  @override
  String get confirmDeleteAccountAlertTitle => "Bekreft sletting av konto";

  @override
  String get confirmDeleteAccountAlertMessage =>
      "Er du sikker på at du vil slette kontoen din?";

  @override
  String get confirmDeleteAccountButtonLabel => "Ja, slett";

  @override
  String get sendVerificationEmailLabel => "Send verification email";
}
